<!-- Based on compositing/squashing/squashing-inside-preserve-3d-element.html -->
<!doctype html>
<div style="-webkit-transform-style: preserve-3d">
  <div style="width: 100px; height: 100px; background:lightgray; transform:translateZ(0)"></div>
  <div id="target" style="position: absolute; top: 20px; left: 20px; height: 100px; width: 100px; background:lightblue"></div>
</div>
<script src="resources/paint-invalidation-test.js"></script>
<script>
// Test that squashing works properly when inside of a transform-style: preserve-3d element. In the bug that this layout test
// was added to fix, the coordinates of the squashing layer paint invalidation rects were not recorded correctly, because some of
// the code computed transformed ancestors incorrectly (it should *not* include the preserve-3d element).

window.expectedPaintInvalidationObjects = [
    "LayoutBlockFlow (positioned) DIV id='target'",
];
function paintInvalidationTest() {
    var target = document.getElementById('target');
    target.style.background = 'red';
}

runPaintInvalidationTest();
</script>
